/* eslint-disable no-unused-expressions */
import React, { useEffect, useState, useRef } from 'react';
import SiteModal from '@/components/Modal/SiteModa';
import { Spin } from 'antd';
import { GetAllConfig, GetMetaData } from '@/services/gis/gis';
import { ArcGISSceneMap } from '@wisdom-map/arcgismap';
const VectorPreviewModal = props => {
  const { metaData } = props;

  const [currentMeta, setCurrentMeta] = useState();
  const [isLoading, setIsLoading] = useState(false);

  useEffect(() => {
    setIsLoading(true);
    GetMetaData({ mapServerName: metaData?.GISServerProjectName }).then(res2 => {
      setIsLoading(false);
      if (res2 && res2.units) {
        const extent = res2.fullExtent;
        if (extent.xmax < 100000000 && extent.xmax > 0) {
          let str = `${extent.xmin},${extent.ymin},${extent.xmax},${extent.ymax}`;
          console.log(str);
          debugger;
          let mapsettings = {
            layers: [
              {
                id: metaData?.GISServerProjectName,
                title: metaData?.GISServerProjectName,
                icon: '',
                layerType: '',
                url: `/PandaGIS/MapServer/${metaData?.GISServerProjectName}`,
                opacity: '1.0',
                showLegend: true,
                visible: true,
                useProxy: true,
                proxyUrl: '',
                extent: str,
                baseLayer: '',
                resolution: '',
                origin: '',
                tileMatrix: '',
                wmtsUrl: '',
                schemename: '',
                roles: '',
                areaName: '',
                boundColor: '#86c8f8',
                backgroundColor: '#000000',
                boundWidth: '10px',
                backgroundOpacity: '0.6',
                basemaps: [
                  {
                    id: '高德地形',
                    title: '高德地形',
                    thumbnailUrl: 'images/thumbnail/thumbnail_1.jpg',
                    baseLayers: [
                      {
                        title: '高德地形',
                        icon: '',
                        layerType: 'amap-v',
                        url: '',
                        opacity: '1.0',
                        visible: false,
                        useProxy: false,
                        proxyUrl: '',
                        style: '',
                        extent: '',
                        baseLayer: '',
                        resolution: '',
                        origin: '',
                        tileMatrix: '',
                        levelStart: '',
                        levelEnd: '',
                        levelEndEnlarge: false,
                      },
                    ],
                  },
                ],
                levelStart: '',
              },
            ],
          };
          setCurrentMeta(mapsettings);
        }
      }
    });
  }, [metaData]);

  const getMapInfo = viewObject => {
    console.log(viewObject);
  };

  const onSubmit = () => {};
  return (
    <SiteModal
      {...props}
      title="管网预览"
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: 200, borderRadius: '20px' }}
      width="1050px"
      cancelText="取消"
      okText="确认"
      onOk={() => onSubmit()}
    >
      <Spin spinning={isLoading}>
        <div style={{ width: '1000px', height: '500px' }}>
          {currentMeta && (
            <ArcGISSceneMap
              getMapInfo={e => getMapInfo(e)}
              config={currentMeta}
              client="sandbox"
              // widgets={[]}
            />
          )}
        </div>
      </Spin>
    </SiteModal>
  );
};

export default VectorPreviewModal;
